T_LOOK(3N)

NAME
t_look - look at the current event on a transport endpoint

SYNOPSIS

#include <tiuser.h>

int t_look(fd)
int fd;

DESCRIPTION

t_look() returns the current event on the transport endpoint specified by fd. This function enables a transport provider to notify a transport user of an asynchronous event when the user is issuing functions in synchronous mode. Certain events require immediate notification of the user and are indicated by a specific error, TLOOK, on the current or next function to be executed.

This function also enables a transport user to poll(2) a transport endpoint periodically for asynchronous events.

RETURN VALUES

Upon success, t_look() returns a value that indicates which of the allowable events has occurred, or returns zero if no event exists. One of the following events is returned:

    T_LISTEN
        Connection indication received
    T_CONNECT
        Connect confirmation received
    T_DATA
        Normal data received
    T_EXDATA
        Expedited data received
    T_DISCONNECT
        Disconnect received
    T_ERROR
        Fatal error indication
    T_UDERR
        Datagram error indication
    T_ORDREL
        Orderly release indication

On failure, -1 is returned and t_errno is set to indicate the error.

ERRORS

TBADF
    The specified file descriptor does not refer to a transport endpoint.

TSYSERR
    The function failed due to a system error and set errno to indicate the error.

SEE ALSO

t_open(3N)